Get an OLC editor schema
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
const url = 'https://example.com/admin/olc/schema/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/admin/olc/schema/exampleReturns the shared vocabulary and resolved controls for an OLC editor kind.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”OLC kind: room, mob, obj, shop, or zone.
OLC kind: room, mob, obj, shop, or zone.
Responses
Section titled “Responses”OK
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Example generated
{ "actions": [ { "allowed": true, "key": "example", "label": "example", "required_label": "example", "required_level": 1 } ], "applies": { "add_operation": "example", "max": 1, "options": [ { "label": "example", "storage": "example", "value": 1 } ], "remove_operation": "example" }, "bespoke": [ "example" ], "exits": { "directions": [ "example" ], "door_options": [ { "label": "example", "storage": "example", "value": 1 } ] }, "fields": [ { "bounds": { "max": 1, "min": 1 }, "control": "example", "key": "example", "label": "example", "options": [ { "label": "example", "storage": "example", "value": 1 } ] } ], "kind": "example", "value_matrix": [ { "item_type": 1, "item_type_label": "example", "values": [ { "control": "example", "label": "example", "max": 1, "min": 1, "options": [ { "label": "example", "storage": "example", "value": 1 } ], "visible": true } ] } ], "zone_commands": [ { "arguments": [ { "bounds": { "max": 1, "min": 1 }, "control": "example", "key": "example", "label": "example", "options": [ { "label": "example", "storage": "example", "value": 1 } ], "visible": true } ], "command": "example", "label": "example" } ]}default
Section titled “default”Error
object
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}